Debian Bug report logs - #517076
Regresion on mangling libraries on dpkg-cross

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Hector Oron <hector.oron@gmail.com>

Date: Wed, 25 Feb 2009 13:24:02 UTC

Severity: important

Tags: patch

Found in version dpkg-cross/2.4.0

Fixed in version dpkg-cross/2.5.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#517076; Package dpkg-cross. (Wed, 25 Feb 2009 13:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 25 Feb 2009 13:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: submit@bugs.debian.org
Subject: Regresion on mangling libraries on dpkg-cross
Date: Wed, 25 Feb 2009 14:21:59 +0100
Package: dpkg-cross
Version: 2.4.0
Severity: important
reopen 426333

When dpkg-cross-ing libc6-ppc64 to be used on amd64 architecture:

# dpkg -c powerpc/libc6-ppc64-powerpc-cross_2.7-18_all.deb
drwxr-xr-x root/root         0 2009-02-25 12:38 ./
drwxr-xr-x root/root         0 2009-02-25 12:38 ./usr/
drwxr-xr-x root/root         0 2009-02-25 12:38 ./usr/share/
drwxr-xr-x root/root         0 2009-02-25 12:38 ./usr/share/doc/
drwxr-xr-x root/root         0 2009-02-25 12:38
./usr/share/doc/libc6-ppc64-powerpc-cross/
-rw-r--r-- root/root       278 2009-02-25 12:38
./usr/share/doc/libc6-ppc64-powerpc-cross/README

-- 
 Héctor Orón




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#517076; Package dpkg-cross. (Wed, 25 Feb 2009 14:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 25 Feb 2009 14:12:02 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Hector Oron <hector.oron@gmail.com>, 517076@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#517076: Regresion on mangling libraries on dpkg-cross
Date: Wed, 25 Feb 2009 14:09:37 +0000
[Message part 1 (text/plain, inline)]
On Wed, 25 Feb 2009 14:21:59 +0100
Hector Oron <hector.oron@gmail.com> wrote:

> Package: dpkg-cross
> Version: 2.4.0
> Severity: important
> reopen 426333

Umm, what you've actually done there, Hector, is create a new bug
instead. It's OK, because although the symptom appears the same, the
cause is different. The patch from 426333 is in place in dpkg-cross, it
is probably a later change that causes this one.

(To reopen an old bug, you need to first unarchive it with a message to
control@b.d.o instead of using submit@b.d.o - see bts (1).)

> 
> When dpkg-cross-ing libc6-ppc64 to be used on amd64 architecture:
> 
> # dpkg -c powerpc/libc6-ppc64-powerpc-cross_2.7-18_all.deb
> drwxr-xr-x root/root         0 2009-02-25 12:38 ./
> drwxr-xr-x root/root         0 2009-02-25 12:38 ./usr/
> drwxr-xr-x root/root         0 2009-02-25 12:38 ./usr/share/
> drwxr-xr-x root/root         0 2009-02-25 12:38 ./usr/share/doc/
> drwxr-xr-x root/root         0 2009-02-25 12:38
> ./usr/share/doc/libc6-ppc64-powerpc-cross/
> -rw-r--r-- root/root       278 2009-02-25 12:38
> ./usr/share/doc/libc6-ppc64-powerpc-cross/README
> 

I think this is actually a typo - please test this patch:

--- tmp/tmpvhD10f-meld/dpkg-cross 
+++ opt/working/dpkg-cross/dpkg-cross 
@@ -794,7 +794,7 @@
 			} else {
 				next;
 			}
-		} elsif (m:/^(/usr(/X11R6)?)?/lib64/([^/]+\.so[^/]*)$/:) {
+		} elsif (m:^(/usr(/X11R6)?)?/lib64/([^/]+\.so[^/]*)$:) {
 			# regular .so* file under /lib64, /usr/lib64 or /usr/X11R6/lib64
 			if (is_ldscript("$src$_")) {
 				fix_ldscript("$src$_", "$dst$crosslib64/$3") or goto fail;

For me, this results in:
$ dpkg -c test/libc6-ppc64-powerpc-cross_2.9-3_all.deb 

drwxr-xr-x root/root         0 2009-02-25 13:59 ./
drwxr-xr-x root/root         0 2009-02-25 13:59 ./usr/
drwxr-xr-x root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/
drwxr-xr-x root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/
-rw-r--r-- root/root     27360 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libnss_dns-2.9.so
-rw-r--r-- root/root     27888 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libnss_hesiod-2.9.so
-rw-r--r-- root/root    127664 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libnsl-2.9.so
-rw-r--r-- root/root    792336 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libm-2.9.so
-rw-r--r-- root/root     14752 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libSegFault.so
-rw-r--r-- root/root     48648 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libcrypt-2.9.so
-rwxr-xr-x root/root   1818632 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libc-2.9.so
-rw-r--r-- root/root      6456 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libBrokenLocale-2.9.so
-rw-r--r-- root/root    195664 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libcidn-2.9.so
-rw-r--r-- root/root     23360 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libmemusage.so
-rwxr-xr-x root/root    158246 2009-02-23 01:31 ./usr/powerpc-linux-gnu/lib64/libpthread-2.9.so
-rw-r--r-- root/root     45280 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libnss_compat-2.9.so
-rw-r--r-- root/root     41752 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libthread_db-1.0.so
-rw-r--r-- root/root     19696 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libdl-2.9.so
-rw-r--r-- root/root     58104 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libnss_nis-2.9.so
-rw-r--r-- root/root     70648 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libnss_nisplus-2.9.so
-rwxr-xr-x root/root    189904 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/ld-2.9.so
-rw-r--r-- root/root    104752 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libresolv-2.9.so
-rw-r--r-- root/root     15264 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libanl-2.9.so
-rw-r--r-- root/root     10520 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libpcprofile.so
-rw-r--r-- root/root     45968 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/librt-2.9.so
-rw-r--r-- root/root     14800 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libutil-2.9.so
-rw-r--r-- root/root     62096 2009-02-23 01:30 ./usr/powerpc-linux-gnu/lib64/libnss_files-2.9.so
drwxr-xr-x root/root         0 2009-02-25 13:59 ./usr/share/
drwxr-xr-x root/root         0 2009-02-25 13:59 ./usr/share/doc/
drwxr-xr-x root/root         0 2009-02-25 13:59 ./usr/share/doc/libc6-ppc64-powerpc-cross/
-rw-r--r-- root/root       278 2009-02-25 13:59 ./usr/share/doc/libc6-ppc64-powerpc-cross/README
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libnss_files.so.2 -> libnss_files-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libm.so.6 -> libm-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libnss_compat.so.2 -> libnss_compat-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libnss_hesiod.so.2 -> libnss_hesiod-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libanl.so.1 -> libanl-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libthread_db.so.1 -> libthread_db-1.0.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libBrokenLocale.so.1 -> libBrokenLocale-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libnss_dns.so.2 -> libnss_dns-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/ld64.so.1 -> ld-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libpthread.so.0 -> libpthread-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libresolv.so.2 -> libresolv-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libc.so.6 -> libc-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libnsl.so.1 -> libnsl-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/librt.so.1 -> librt-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libnss_nisplus.so.2 -> libnss_nisplus-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libcidn.so.1 -> libcidn-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libcrypt.so.1 -> libcrypt-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libnss_nis.so.2 -> libnss_nis-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libutil.so.1 -> libutil-2.9.so
lrwxrwxrwx root/root         0 2009-02-25 13:59 ./usr/powerpc-linux-gnu/lib64/libdl.so.2 -> libdl-2.9.so

Please test with the older version you described.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#517076; Package dpkg-cross. (Wed, 25 Feb 2009 14:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 25 Feb 2009 14:12:06 GMT) Full text and rfc822 format available.

Tags added: patch Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Wed, 25 Feb 2009 14:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#517076; Package dpkg-cross. (Fri, 27 Feb 2009 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Fri, 27 Feb 2009 00:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 517076@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Neil Williams <codehelp@debian.org>
Cc: 517076@bugs.debian.org
Subject: Re: Bug#517076: Regresion on mangling libraries on dpkg-cross
Date: Fri, 27 Feb 2009 01:39:53 +0100
Hello Neil,
>
> I think this is actually a typo - please test this patch:
>
> --- tmp/tmpvhD10f-meld/dpkg-cross
> +++ opt/working/dpkg-cross/dpkg-cross
> @@ -794,7 +794,7 @@
>                        } else {
>                                next;
>                        }
> -               } elsif (m:/^(/usr(/X11R6)?)?/lib64/([^/]+\.so[^/]*)$/:) {
> +               } elsif (m:^(/usr(/X11R6)?)?/lib64/([^/]+\.so[^/]*)$:) {
>                        # regular .so* file under /lib64, /usr/lib64 or /usr/X11R6/lib64
>                        if (is_ldscript("$src$_")) {
>                                fix_ldscript("$src$_", "$dst$crosslib64/$3") or goto fail;
>

I can confirm that it works for me too.

Thanks :)

-- 
 Héctor Orón




Tags added: pending Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Fri, 27 Feb 2009 10:00:13 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Tue, 17 Mar 2009 15:42:38 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <hector.oron@gmail.com>:
Bug acknowledged by developer. (Tue, 17 Mar 2009 15:42:43 GMT) Full text and rfc822 format available.

Message #29 received at 517076-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 517076-close@bugs.debian.org
Subject: Bug#517076: fixed in dpkg-cross 2.5.0
Date: Tue, 17 Mar 2009 15:32:10 +0000
Source: dpkg-cross
Source-Version: 2.5.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.5.0.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.5.0.dsc
dpkg-cross_2.5.0.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.5.0.tar.gz
dpkg-cross_2.5.0_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.5.0_all.deb
libdebian-dpkgcross-perl_2.5.0_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.5.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517076@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 Mar 2009 13:45:52 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.5.0
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 517076
Changes: 
 dpkg-cross (2.5.0) unstable; urgency=low
 .
   * Fold Emdebian changes into Debian package.
   * Update standards version (no changes)
   * tidy up some lintian errors in debian/control and copyright.
 .
 dpkg-cross (2.4.2) unstable; urgency=low
 .
   * Oops - typo fix for %crossprefixtable.
 .
 dpkg-cross (2.4.1) unstable; urgency=low
 .
   * Fix typo when building 64bit libraries with dpkg-cross
     (Closes: #517076)
   * Remove legacy code from the module.
Checksums-Sha1: 
 f4c451c5615aa752ba7a50542463b1bf038902ed 1222 dpkg-cross_2.5.0.dsc
 deab5c9bf776d73493f755dbdb89c44644524c5a 70727 dpkg-cross_2.5.0.tar.gz
 37066183a83c62795935ed61813fa58a3c6f61c1 50478 dpkg-cross_2.5.0_all.deb
 b64e22e1648ecfada82956def77cc050eef6e142 28478 libdebian-dpkgcross-perl_2.5.0_all.deb
Checksums-Sha256: 
 475e06215ea14e37b46d149cb95e4861e0dca14680b04edcfe42a33a54ff93a0 1222 dpkg-cross_2.5.0.dsc
 9d43f669aa9a3b5cbea7be40ec6e4858d6115a12dc2f90af891dcbb38d363617 70727 dpkg-cross_2.5.0.tar.gz
 8ef53d6370cbf7286e93048058d39d0efde440cb5721b0776fb2d7ea97ff6304 50478 dpkg-cross_2.5.0_all.deb
 6685147af07f387b8af30e4ca5c16980d3919cf8d3ad2fb54ef3786426650d61 28478 libdebian-dpkgcross-perl_2.5.0_all.deb
Files: 
 133c3b58cf69abd89b189c5f9e4a9e8c 1222 utils extra dpkg-cross_2.5.0.dsc
 7f77562480c71da3463dc5e99f301ae9 70727 utils extra dpkg-cross_2.5.0.tar.gz
 e52c67ff8a2807c90ee2249e1301b143 50478 utils extra dpkg-cross_2.5.0_all.deb
 519ed349130158cae22879a23bb2b23b 28478 perl extra libdebian-dpkgcross-perl_2.5.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm/qa0ACgkQiAEJSii8s+MgqgCgmPTLollz7ed6pgnqpqPEU3qP
vdcAoIKFrAB+f1m9D7Jhg7X0zx26bdUP
=1Mv9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Apr 2009 07:32:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:36:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.